<div *ngIf="!loaded" class="progress-bar-container">
  <p *ngIf='position === "before"'>{{message}}</p>
  <mat-progress-bar mode="query" color="primary"></mat-progress-bar>
  <p *ngIf='position === "after"'>{{message}}</p>
</div>
